pcl::PointXYZLAB Struct Reference

A custom point type for position and CIELAB color value. More...

`#include <pcl/registration/gicp6d.h>`

Inheritance diagram for pcl::PointXYZLAB:

## Public Member Functions

| PointXYZLAB ()

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZLAB
| PCL_ADD_POINT4D
union {
struct {
float L
float a
float b
} |
float data_lab [4]
}; |

## Detailed Description

A custom point type for position and CIELAB color value.

Definition at line 67 of file gicp6d.h.

## Constructor & Destructor Documentation

pcl::PointXYZLAB::PointXYZLAB | ( |  | ) |

inline

Definition at line 69 of file gicp6d.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/registration/include/pcl/registration/gicp6d.h